package de.deversmann.domain;

import org.junit.jupiter.api.Test;

import java.util.List;

import static org.junit.jupiter.api.Assertions.*;

class PuzzleDataTest {

    @Test
    void testGetPuzzle() {
        int[][] puzzle = {{1, 2}, {3, 4}};
        List<int[]> solution = List.of(new int[]{1, 1}, new int[]{2, 2});

        PuzzleData data = new PuzzleData(puzzle, solution);

        assertArrayEquals(puzzle, data.getPuzzle());
    }

    @Test
    void testGetSolutionCoordinates() {
        int[][] puzzle = {{1, 2}, {3, 4}};
        List<int[]> solution = List.of(new int[]{1, 1}, new int[]{2, 2});

        PuzzleData data = new PuzzleData(puzzle, solution);

        assertEquals(solution, data.getSolutionCoordinates());
    }
}