package de.deversmann.gui;

import org.junit.jupiter.api.Test;

import static org.junit.jupiter.api.Assertions.*;

class SpielfeldGUITest {

    @Test
    void testUpdateGrid() {
        SpielfeldGUI gui = new SpielfeldGUI(2, 2);

        int[][] grid = {
                {1, 2},
                {3, 4}
        };
        gui.updateGrid(grid);

        assertNotNull(gui.getBlackCells());
        assertEquals(0, gui.getBlackCells().size());
    }

    @Test
    void testSetCellBlack() {
        SpielfeldGUI gui = new SpielfeldGUI(2, 2);

        gui.setCellBlack(0, 1);
        assertEquals(1, gui.getBlackCells().size());
        assertArrayEquals(new int[]{0, 1}, gui.getBlackCells().get(0));
    }

    @Test
    void testMarkCellAsError() {
        SpielfeldGUI gui = new SpielfeldGUI(2, 2);

        gui.markCellAsError(0, 1);

        // Fehlerhafte Zelle wird rot markiert (Border)
        assertNotNull(gui.getBlackCells());
    }
}